### Function

# Ggit ConfigMatchCallback

#### Declaration

    gint
    (* GgitConfigMatchCallback) (
      GMatchInfo* match_info,
      const gchar* value,
      gpointer user_data
    )

#### Description [src]

The type of the callback functions for retrieving values from a `GgitConfig` using a regular expression. See ggit_config_match_foreach().

#### Parameters

`match_info`

  Type: `GMatchInfo`

  The match.

  The data is owned by the caller of the function.

`value`

  Type: `const gchar*`

  The value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User-supplied data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

0 to go for the next config value or a `GgitError` in case there was an error.